org.apache.poi.ss.formula.functions

## Class NumericFunction.OneArg

- java.lang.Object
- - org.apache.poi.ss.formula.functions.Fixed1ArgFunction
  - - org.apache.poi.ss.formula.functions.NumericFunction.OneArg

- All Implemented Interfaces:
    Function, Function1Arg
  Direct Known Subclasses:
    Even, Odd
  Enclosing class:
    NumericFunction

      public abstract static class NumericFunction.OneArg
      extends Fixed1ArgFunction

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `OneArg()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected double` | `eval(ValueEval[] args, int srcCellRow, int srcCellCol)`
    `protected abstract double` | `evaluate(double d)`
    `ValueEval` | `evaluate(int srcRowIndex, int srcColumnIndex, ValueEval arg0)` see `Function.evaluate(ValueEval[], int, int)`

    - ### Methods inherited from class org.apache.poi.ss.formula.functions.Fixed1ArgFunction

      `evaluate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OneArg

          protected OneArg()

  - ### Method Detail

    - #### evaluate

          public ValueEval evaluate(int srcRowIndex,
                                    int srcColumnIndex,
                                    ValueEval arg0)

      Description copied from interface: `Function1Arg`
      see `Function.evaluate(ValueEval[], int, int)`

    - #### eval

          protected final double eval(ValueEval[] args,
                                      int srcCellRow,
                                      int srcCellCol)
                               throws EvaluationException

      Throws:
        `EvaluationException`

    - #### evaluate

          protected abstract double evaluate(double d)
                                      throws EvaluationException

      Throws:
        `EvaluationException`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.